#
# spec file for package unixODBC (Version 2.2.11)
#
# Copyright (c) 2006 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    aaa_base acl attr audit-libs autoconf automake bash bind-libs bind-utils binutils bison bzip2 coreutils cpio cpp cracklib cvs cyrus-sasl db diffutils e2fsprogs file filesystem fillup findutils flex gawk gcc gcc-c++ gdbm gdbm-devel gettext gettext-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv klogd less libacl libattr libcom_err libgcc libnscd libstdc++ libstdc++-devel libtool libxcrypt libzio m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-modules patch perl permissions popt procinfo procps psmisc pwdutils rcs readline rpm sed strace sysvinit tar tcpd texinfo timezone unzip util-linux vim zlib zlib-devel

Name:           unixODBC
BuildRequires:  gcc-c++
Version:        2.2.11
Release:        21.4
Summary:        ODBC driver manager with some drivers included
License:        GPL, LGPL
URL:            http://www.unixodbc.org/
Group:          Productivity/Databases/Tools
Autoreqprov:    on
Provides:       libodbcinst.so, libodbc.so
%ifarch ia64 x86_64 s390x ppc64
Provides:       libodbcinst.so()(64bit), libodbc.so()(64bit)
%endif
Source:         unixODBC-%{version}.tar.bz2
Source1:        README.SuSE
Source4:        gODBCConfig.desktop
Patch:          unixODBC-%{version}.patch
Patch1:         unixODBC-paths.patch
Patch2:         unixODBC-gODBCConfig.patch
Patch3:         unixODBC-qt-dirs.patch
Patch4:         unixODBC-odbctest.patch
Patch5:         unixODBC-iaddr.patch
Patch6:         unixODBC-nonvoid.patch
Patch7:         unixODBC-gccwarnings.patch
Patch8:         unixODBC-%{version}-dm.patch
# this is applied in %%build
Patch9:         unixODBC-%{version}-dlopen.patch
Patch10:        %{name}-%{version}-libodbcinst-exports.patch
Patch11:        %{name}-%{version}-flex.patch
Patch12:        %{name}-%{version}-sqp.patch
Patch13:        %{name}-%{version}-uninitialized.patch
Patch14:        %{name}-%{version}-cursorlibrary.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%debug_package
%package devel
Summary:        Includes and Static Libraries for ODBC Development
Group:          Productivity/Databases/Tools
Autoreqprov:    on
Obsoletes:      libiodbc-devel 
Requires:       %{name} = %{version}

%description
UnixODBC aims to provide a complete ODBC solution for the Linux
platform. Further drivers can be found at http://www.unixodbc.org/.



Authors:
--------
    Peter Harvey <pharvey@codebydesigns.com>
    Nick Gorham <nick@easysoft.com>


%description devel
Includes and static libraries for ODBC development (based on unixODBC).



Authors:
--------
    Peter Harvey <pharvey@codebydesigns.com>
    Nick Gorham <nick@easysoft.com>

%prep
%setup -q
%patch
%patch1
%patch2
%patch3
%patch4
%patch5
%patch6
%patch7
#patch8 -p1
# %%patch9 is in %%build
%patch10
%patch11
%patch12
%patch13
%patch14
install -m 644 %{S:1} .

%build
export -n LANG LINGUAS LC_ALL 
autoreconf --force --install
patch -p0 <"%{P:9}"
export CFLAGS="$RPM_OPT_FLAGS -fno-strict-aliasing" CXXFLAGS="$RPM_OPT_FLAGS -fno-strict-aliasing" 
./configure \
	    --prefix=%{_prefix} \
	    --mandir=%{_mandir} \
	    --infodir=%{_infodir} \
	    --libdir=%{_libdir} \
	    --sysconfdir=%{_sysconfdir}/%{name} \
	    --enable-gui=no \
	    --disable-stats
	    
make CFLAGS="$RPM_OPT_FLAGS" CXXFLAGS="$RPM_OPT_FLAGS"

%install
install -d -m 755 $RPM_BUILD_ROOT/%{_sysconfdir}/%{name}
install -d -m 755 $RPM_BUILD_ROOT/%{_libdir}/%{name}
make DESTDIR=$RPM_BUILD_ROOT install
rm -rf $RPM_BUILD_ROOT/usr/share/libtool
# packaged in gui-gtk
rm -f $RPM_BUILD_ROOT/%{_libdir}/libmimerS.*

%clean
rm -rf "$RPM_BUILD_ROOT"

%files 
%defattr(-, root, root)
%doc AUTHORS COPYING ChangeLog NEWS README README.GTK README.SuSE doc/*.html doc/*.gif
%dir %{_sysconfdir}/%{name}
%dir %{_sysconfdir}/%{name}/ODBCDataSources
%dir %{_libdir}/%{name}
%config %{_sysconfdir}/%{name}/odbc.ini
%config %{_sysconfdir}/%{name}/odbcinst.ini
%{_prefix}/bin/dltest
%{_prefix}/bin/isql
%{_prefix}/bin/iusql
%{_prefix}/bin/odbcinst
%{_prefix}/bin/odbc_config
%{_libdir}/libodbc.so
%{_libdir}/libodbc.so.*
#%{_libdir}/libodbcextras.so.*
%{_libdir}/libodbcinst.so
%{_libdir}/libodbcinst.so.*
%{_libdir}/libtemplate.so.*
%{_libdir}/libboundparam.so.*
%{_libdir}/libgtrtst.so.*
%{_libdir}/libodbccr.so.*
%{_libdir}/unixODBC/libesoobS.so.*
%{_libdir}/unixODBC/libnn.so.*
%{_libdir}/unixODBC/libodbcdrvcfg1S.so.*
%{_libdir}/unixODBC/libodbcdrvcfg2S.so.*
%{_libdir}/unixODBC/libodbcminiS.so.*
%{_libdir}/unixODBC/libodbcmyS.so.*
%{_libdir}/unixODBC/libodbcnnS.so.*
%{_libdir}/unixODBC/libodbcpsql.so.*
%{_libdir}/unixODBC/libodbcpsqlS.so.*
%{_libdir}/unixODBC/libodbctxt.so.*
%{_libdir}/unixODBC/libodbctxtS.so.*
%{_libdir}/unixODBC/liboplodbcS.so.*
%{_libdir}/unixODBC/liboraodbcS.so.*
%{_libdir}/unixODBC/libsapdbS.so.*
%{_libdir}/unixODBC/libtdsS.so.*

%files devel
%defattr(-, root, root)
%{_includedir}/*
%{_libdir}/libboundparam.la
%{_libdir}/libgtrtst.la
%{_libdir}/libodbc.la
%{_libdir}/libodbccr.la
#%{_libdir}/libodbcextras.la
%{_libdir}/libodbcinst.la
%{_libdir}/libtemplate.la
%{_libdir}/libboundparam.so
%{_libdir}/libgtrtst.so
%{_libdir}/libodbccr.so
#%{_libdir}/libodbcextras.so
%{_libdir}/libtemplate.so
%{_libdir}/unixODBC/*.la
%{_libdir}/unixODBC/*.so

%changelog -n unixODBC
* Mon May 29 2006 - mmarek@suse.cz
- fix cursor library not working due to unresolved symbols
  [#173869#c15] (cursorlibrary.patch)
* Mon Mar 27 2006 - mmarek@suse.cz
- fixed some uninitialized variables reported by David Binderman
  [#160570] (uninitialized.patch)
* Tue Jan 31 2006 - mmarek@suse.cz
- fixed txt driver
  [#146507] (sqp.patch)
* Wed Jan 25 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Fri Jan 20 2006 - ro@suse.de
- split gui packages to own specfile
* Tue Jan 17 2006 - sbrabec@suse.cz
- Remove unneeded libunicode from neededforbuild.
* Tue Nov 29 2005 - mmarek@suse.cz
- fix build with flex-2.5.31
  (flex.patch)
* Tue Nov 01 2005 - mmarek@suse.cz
- add libtool and libinilc symbols to odbcinst/odbcinst.exp
  (#131175)
- disable unixODBC-2.2.11-dm.patch since it's probably no more
  needed
* Thu Oct 20 2005 - mmarek@suse.cz
- remove LT_GLOBAL flag from libtool to enable dlopen()ing libodbc.so
  (#96312)
- remove headers for compatibility with qt3 (no longer needed)
- added norootforbuild
* Tue Sep 27 2005 - mmarek@suse.cz
- compile with --disable-stats to prevent DoS [#118547]
* Mon Sep 19 2005 - mmarek@suse.cz
- fix gcc warnings about implicit function declarations
* Wed Apr 27 2005 - ltinkl@suse.cz
- updated to 2.2.11
- fix build with gcc4
* Tue Apr 12 2005 - ro@suse.de
- added audiofile-devel to neededforbuild
* Fri Feb 11 2005 - ltinkl@suse.cz
- update to 2.2.10, adapt patches
* Wed Nov 10 2004 - ro@suse.de
- reduced neededforbuild
* Tue Sep 14 2004 - ltinkl@suse.cz
- put the .desktop file in the right package (#44790)
* Tue Jul 27 2004 - ro@suse.de
- fix some compiler warnings
* Mon Jul 19 2004 - ltinkl@suse.cz
- update to 2.2.9
* Mon May 24 2004 - ro@suse.de
- fix some compiler warnings
* Tue Mar 23 2004 - ltinkl@suse.cz
- don't package generated files (#36304)
* Thu Feb 26 2004 - kukuk@suse.de
- Obsolete libiodbc-devel instead of conflicting with it.
- provide 64bit libodbcinst.so/libobdc.so on all 64bit
  architectures.
* Wed Feb 25 2004 - schwab@suse.de
- Provide libodbcinst.so()(64bit), libodbc.so()(64bit) on ia64 for
  BEAJava2 [#29515].
* Fri Feb 20 2004 - ltinkl@suse.cz
- update to 2.2.8
* Wed Jan 14 2004 - ltinkl@suse.cz
- added patch to fix SQL results
* Wed Dec 03 2003 - ltinkl@suse.cz
- update to 2.2.7
* Fri Sep 05 2003 - ltinkl@suse.cz
- fix #29515
* Mon Sep 01 2003 - ltinkl@suse.cz
- created patch unixODBC-odbctest.patch to fix #29639
* Fri Aug 15 2003 - adrian@suse.de
- add desktop file
* Wed Jul 30 2003 - ro@suse.de
- fix gODBCconfig configure.in for autoreconf
* Wed Jul 30 2003 - ltinkl@suse.de
- update to version 2.2.6
* Tue Jul 29 2003 - ro@suse.de
- remove traces of buildroot from installed files
* Fri Jul 18 2003 - sbrabec@suse.cz
- GNOME prefix change to /opt/gnome.
* Mon Jul 14 2003 - sbrabec@suse.cz
- Added gnome-filesystem to neededforbuild.
* Mon Jun 23 2003 - ro@suse.de
- fix for current automake
* Fri Dec 27 2002 - prehak@suse.cz
- temporarily added two header files from Qt which make it build with Qt-3.1.1
  (remove them when they won't be needed to build)
* Tue Nov 19 2002 - ro@suse.de
- add AM_GNU_GETTEXT_VERSION
* Sun Nov 17 2002 - prehak@suse.cz
- fixed to build with autoconf 2.56
* Tue Nov 12 2002 - tcrhak@suse.cz
- fixed for bison 1.75: end rules with semicolons
* Tue Oct 01 2002 - prehak@suse.cz
- updated to version 2.2.3
- libodbcinstQ.{so,la} moved from unixODBC-devel to unixODBC-gui-qt
  [#19743]
* Fri Sep 27 2002 - ro@suse.de
- Added alsa alsa-devel to neededforbuild (esound)
* Mon Sep 09 2002 - meissner@suse.de
- Use qt3 instead of qt2.
* Sun Aug 18 2002 - prehak@suse.cz
- fixed segfaulting isql when using SAPDB driver
  (created unixODBC-segfault.dif)
* Mon Aug 12 2002 - schwab@suse.de
- Fix configure script.
* Sat Jul 27 2002 - adrian@suse.de
- fix neededforbuild
* Tue Jul 09 2002 - prehak@suse.de
- updated to version 2.2.2 (mainly bugfixes, some unicode changes)
* Mon Jun 10 2002 - prehak@suse.cz
- updated to version 2.2.1  (mainly bugfixes)
- changed group to Productivity/Databases/Tools
- changed path for .ini files to /etc/unixODBC/
  and path for drivers to /usr/lib/unixODBC/
- removed sample odbcinst.ini (TXT driver is not used so freqvently)
- created patch to apply %%{_lib} macro
- added new configure feature --with-odbc-libs in gODBCConfig
- moved *.so files to devel package
- created README.SuSE
* Thu May 16 2002 - ro@suse.de
- use libdir
* Fri Apr 05 2002 - ro@suse.de
- build with current autoconf/automake/gettext
* Wed Feb 27 2002 - poeml@suse.de
- don't include the (empty anyway) .ini files to the package, to
  avoid a file conflict with the libiodbc package. The .ini files
  are now packed as %%ghost and touched in %%post in both packages.
- rewrote %%post to not use absolute paths.
* Tue Jan 08 2002 - ro@suse.de
- help libtool with RPM_BUILD_ROOT
* Fri Jan 04 2002 - poeml@suse.de
- update to 2.1.1 (bugfixes, 64 bit fixes, support for FILEDSN's,
  changes to ODBCConfig. See http://www.unixodbc.org/ for the
  changelog.)
- add new libodbcinstQ.so* to filelist
- remove libodbccr.so* from filelist (not to be installed)
* Fri Nov 09 2001 - ro@suse.de
- use qt-devel-packages in neededforbuild
* Tue Oct 02 2001 - rbarn@suse.de
- update to version 2.0.9
- Fix small bug in postgres driver
* Sun May 13 2001 - schwab@suse.de
- Fix missing declarations.
* Wed May 09 2001 - poeml@suse.de
- bzip2 sources
* Fri Apr 13 2001 - ro@suse.de
- hack for new gettext
* Sun Apr 01 2001 - mfrueh@suse.de
- created initial package
